Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create linear user

POST/workspaces/{organizationId}/linear-users
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
linearIdstringrequired
min length 1
namestring
emailstring
Responses
201

Linear user created

idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestring | nullrequired
emailstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/linear-users' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "linearId": "string",
  "name": "string",
  "email": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "linearId": "string",
  "name": "string",
  "email": "string",
  "createdAt": "string"
}

Was this page helpful?